\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb}
\usepackage{hyperref}  % allows hyperlinking
\hypersetup{
    pdftitle={LaTeX Tutorial},   
    pdfauthor={F McGuillicuddy (TUG)},  
    pdfsubject={LaTeX, TeX},   % subjects of the document
    colorlinks=true,      % false: boxed links; true: colored links
    linkcolor=black,      % color of internal links
    citecolor=black,      % color of links to bibliography
    filecolor=blue,       % color of file links
    urlcolor=blue         % color of external links
}

\begin{document}
\tableofcontents
\section{Introduction}   \label{sec:intro}
This document has a permanent home page on the 
\href{http://www.tug.org/course}{TUG web site}. 

\section{Your first document}
To find the prior section, follow this \hyperref[sec:intro]{link}.
\end{document}     
